<?php
if (empty($_REQUEST['manufacturer_id'])) {
    echo "ERROR!!! Please go through search page: ";
    echo "<a href='https://apchang.webdev.iyaserver.com/acad276/exam_1008/search.php'> Go Back to Search Page</a>";
    exit();
}

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if ($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}


?>

<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width:  800px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .details {
            border:     1px solid #990000;
            width:      600px;
            margin:     auto;
            margin-top: 20px;
            padding:    20px;
        }
        table {
            height: 300px;
            width:      100%;
        }
        table img {
            height: 300px;

        }
        img {
            width: 300px;

        }
        .label {
            text-align: right;
            width:      20%;
            padding:    3px 10px 3px;
        }
        .data {
            width: 40%;
        }
        .input>input, .input>select {
            width:  100%;
        }
        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Device Database: Details Page</h1>
    <div class="nav-link">
        <a href="https://apchang.webdev.iyaserver.com/acad276/exam_1008/search.php"><< Back to Search Page</a>
    </div>

    <?php

    //---------- STEP 2 : write a query/statement (give me everything that does X) ---------- //
    $sql = "SELECT * FROM devices" .$_REQUEST["id"];

    //----------  STEP 3 : submit query to database, store responses as results --------- //
    $results = $mysql->query($sql);
    if(!$results) {
        echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
        echo "SQL Error: " . $mysql->error . "<hr>";
        exit();
    }
    echo "sql code $sql <br><br>";
    echo "you have " . $results->num_rows . "search results.";

    //should be able to generate the correct details from the record that was selected in the result page.
    while($currentrow = $results->fetch_assoc()) {
    echo "<h1>" . $currentrow["name"] . "</h1> <br>";
    echo "Price " . $currentrow["price"] . "<br>";
    echo "Manufacturer " . $currentrow["manufacturer"] . "<br>";
    echo "System " . $currentrow["system"] . "<br>";
    echo "Type " . $currentrow["type"] . "<br>";
    ?>}
</div>

</body>
</html>
